Loading...
Searching...
No Matches
stack.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "alignment.h"`
`#include "array.h"`
`#include "debug_count.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "iterator.h"`
`#include "placement_new.h"`
`#include "type_traits.h"`
`#include "utility.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Classes

class | etl::stack_exception
class | etl::stack_full
class | etl::stack_empty
class | etl::stack_base
class | etl::istack< T >
| This is the base for all stacks that contain a particular type. More...
class | etl::stack< T, SIZE >

## Namespaces

namespace | etl

## Variables

template<typename T, const size_t SIZE>
ETL_CONSTANT size_t | etl::stack< T, SIZE >::MAX_SIZE